%global momorel 2
%global __libtoolize :

Summary: file sharing with webdav server for GNOME
Name: gnome-user-share
Version: 2.26.0
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/System
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.26/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig
BuildRequires: avahi-glib-devel >= 0.6.24
BuildRequires: avahi-devel >= 0.6.24
BuildRequires: glib2-devel >= 2.20.0
BuildRequires: GConf2-devel >= 2.25.2
BuildRequires: gtk2-devel >= 2.16.0
BuildRequires: libglade2-devel >= 2.6.3

%description
gnome-user-share is a small package that binds together various free
software projects to bring easy to use user-level file sharing to the
masses.

%prep

%setup -q 

%build
%configure \
    --disable-schemas-install
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/desktop_gnome_file_sharing.schemas \
    > /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/desktop_gnome_file_sharing.schemas \
	> /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/desktop_gnome_file_sharing.schemas \
	> /dev/null || :
fi

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/desktop_gnome_file_sharing.schemas
%{_sysconfdir}/xdg/autostart/gnome-user-share.desktop
%{_bindir}/gnome-file-share-properties
%{_libexecdir}/gnome-user-share
%{_datadir}/applications/gnome-user-share-properties.desktop
%{_datadir}/%{name}
%{_datadir}/locale/*/*/*
%{_datadir}/icons/hicolor/*/apps/gnome-obex-server.png
%{_datadir}/gnome/help/%{name}
%{_datadir}/omf/%{name}

%changelog
* Sat May 23 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.26.0-2m)
- define __libtoolize

* Mon Mar 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0-1m)
- update to 2.26.0

* Mon Mar 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.92-3m)
- fix autostart

* Sat Mar  7 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.92-2m)
- mv autostart file %%{_sysconfdir}/xdg/gnome/autostart

* Sat Mar  7 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.92-1m)
- update to 2.25.92

* Sun Feb  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.90-1m)
- update to 2.25.90

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.41-2m)
- rebuild against rpm-4.6

* Thu Dec 18 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.41-1m)
- update to 0.41

* Sun Jun 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.31-1m)
- update to 0.31

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.11-2m)
- rebuild against gcc43

* Thu May 24 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11-1m)
- initial build
